O.-parvula_opt.jpg=Ophrys parvula.  \
This one bends near to the end of the lip.                                                          .           
O.-parvula-3_opt.jpg=Ophrys parvula. \
Similar to cinereophila both have a small lip with a yellow border.                     .             
O.-parvula-2_opt.jpg=Ophrys parvula.\
This is another Rhodes endemic with a very small flower.                                     .              
